#ifndef SDL_FPSCOUNTER_H
#define SDL_FPSCOUNTER_H

#include <stdint.h>

typedef struct SDL_FPSCounter_s {
	uint64_t  frequency;
	uint32_t  window_index;
	uint32_t  window_length;
	uint64_t* window;
} SDL_FPSCounter;

int  SDL_CreateFPSCounter(SDL_FPSCounter* counter, uint32_t window_length);
void SDL_DestroyFPSCounter(SDL_FPSCounter* counter);

int SDL_FPSCounterTick(SDL_FPSCounter* counter);
uint64_t SDL_FPSCounterFPS(SDL_FPSCounter* counter);

#endif
